// Wild Magic Source Code
// David Eberly
// http://www.geometrictools.com
// Copyright (c) 1998-2007
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation; either version 2.1 of the License, or (at
// your option) any later version.  The license is available for reading at
// either of the locations:
//     http://www.gnu.org/copyleft/lgpl.html
//     http://www.geometrictools.com/License/WildMagicLicense.pdf
//
// Version: 4.0.0 (2006/06/28)

#ifndef WMATERIALS_H
#define WMATERIALS_H

#include <vector>
class Mtl;

class WMaterials
{
public:
    WMaterials ();

    bool Add (Mtl* pkMtl);
    void SetQuantity (int iQuantity);
    int GetQuantity () const;
    int GetID (Mtl* pkMtl) const;
    Mtl* Get (int iMtlID) const;

private:
    std::vector<Mtl*> m_kMaterial;   
};

#endif
